Description

Supportanfrage

Kann man von nachfolgenden Filtern auf die Signalnamen in einem OutputPin des CAN_config_codec_ext zugreifen?

Folgendes Setup:

Ich erstelle in einem Can_Config_Codec_Ext einen neuen OutputPin mit dem Signal: Airbag_01.Airbag_01_BZ. Dieser erzeugt mir

dann ein Struct mit bpsw. tUInt8, das mein eigener Filter empfängt. Kann ich in diesem Filter auf den Signalnamen und den Type zur

Laufzeit zugreifen?

Lösung:

Verwenden Media Description

Siehe Information in der Device Toolbox Doku unter 3.7.7 bzw. 3.7.8 Media Description Format

Doku: https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v2/devicetoolbox.pdf

Nützliches Example:

src\examples\src\filters\demo_media_description_display

Hier wird auch das Auswerten einer DDL über ein Pin gezeigt.

Details siehe Kommentare

History

#1 - 2018-04-27 11:34 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to DeviceTB::CAN

#2 - 2018-04-27 12:09 - hidden

Hierfür könnte Dir die Media Description nutzen.

Sieh Dir hierzu die Information in der Device Toolbox Doku unter 3.7.7 bzw. 3.7.8 Media Description Format an.

Diese findest Du direkt in deinen addons Verzeichns (z.b. ADTF\2.14.0\addons\adtf-device-toolbox\doc),

oder auch hier: https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v2/devicetoolbox.pdf

Hilft Dir das bereits weiter?

Gruß

Matthias

#3 - 2018-04-27 12:09 - hidden

- Status changed from In Progress to Customer Feedback Required

#4 - 2018-04-27 12:33 - hidden
https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v2/devicetoolbox.pdf
https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v2/devicetoolbox.pdf


Ja, das hatte ich mir auch schon angeschaut.

Also wäre das Vorgehen:

1. Anlegen eines DynamicInputPin

2. Laden des cMediaType vom angeschlossen Pin

3. cMediaTypeDescription vom cMediaType

4. suchen des Names und des Types im cMediaTypeDescription

?

#5 - 2018-04-27 13:05 - hidden

Ja, das sollte eigentlich so funktionieren.

#6 - 2018-05-04 10:15 - hidden

Hallo Raphael,

kann das Ticket geschlossen werden?

#7 - 2018-05-04 10:18 - hidden

Ja, vielen Dank für die Hilfe.

Falls das Ticket veröffentlicht wird, kann man noch den Verweis auf ein Example hinterlegen:

src\examples\src\filters\demo_media_description_display

Hier wird auch das Auswerten einer DDL über ein Pin gezeigt.

#8 - 2018-05-04 10:28 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#9 - 2018-05-04 17:46 - hidden

- Subject changed from [ADTF 2.14.1], [DeviceTB 2.7.0] Access CAN_Config_Codec_Ext to How to access data structure of CAN Config Codec Ext

from own filter

#10 - 2018-05-04 17:46 - hidden

- Project changed from 11 to Public Support

- Private changed from Yes to No

#11 - 2018-05-23 13:57 - hidden

- Status changed from To Be Closed to Closed
